package com.grid2example.androidiggridsample2;

import android.content.Context;
import android.widget.TextView;

import com.infragistics.controls.IGGridViewCell;

public class CustomTextCell extends IGGridViewCell {
    private TextView _text;

    public CustomTextCell(Context context, String styleKey) {
        super(context, styleKey);

        _text = new TextView(context);
        this.addView(_text);
    }

    public TextView getTextView() {
        return _text;
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);

        int width = MeasureSpec.getSize(widthMeasureSpec) - (this.getPaddingRight() + this.getPaddingLeft());
        int height = MeasureSpec.getSize(heightMeasureSpec) - (this.getPaddingTop() + this.getPaddingBottom());

        _text.measure(MeasureSpec.makeMeasureSpec(width, MeasureSpec.EXACTLY), MeasureSpec.makeMeasureSpec(height, MeasureSpec.EXACTLY));
    }

    @Override
    protected void onLayout(boolean changed, int l, int t, int r, int b) {
        int top = this.getPaddingTop();
        int left = this.getPaddingLeft();
        int right = (r - l) - (this.getPaddingRight());
        int bottom = (b - t) - (this.getPaddingBottom());

        _text.layout(left, top, right, bottom);
    }
}
