package com.grid2example.androidiggridsample2;

import android.app.Activity;
import android.app.ActionBar;
import android.app.Fragment;
import android.os.Bundle;
import android.support.v4.widget.EdgeEffectCompat;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.os.Build;
import android.widget.LinearLayout;

import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;

import java.util.ArrayList;


public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        if (savedInstanceState == null) {
            getFragmentManager().beginTransaction()
                    .add(R.id.container, new PlaceholderFragment())
                    .commit();
        }
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    /**
     * A placeholder fragment containing a simple view.
     */
    public static class PlaceholderFragment extends Fragment {

        public PlaceholderFragment() {
        }

        @Override
        public View onCreateView(LayoutInflater inflater, ViewGroup container,
                                 Bundle savedInstanceState) {
            View rootView = inflater.inflate(R.layout.fragment_main, container, false);
            LinearLayout layout = (LinearLayout)rootView.findViewById(R.id.IGGridLayout);

            EdgeEffectCompat test = new EdgeEffectCompat(rootView.getContext());

            IGGridView grid = new IGGridView(rootView.getContext());
            grid.setRowHeight(45);

            IGListAdapter personAdapter = new CustomAdapter(rootView.getContext());

            ArrayList<Object> data = new ArrayList<Object>();
            GridDataItem item1 = new GridDataItem();
            item1.room = "Living Room";
            item1.setDateValue("first", 2007, 12, 28);
            item1.setDateValue("second", 2008, 2, 21);
            item1.setDateValue("third", 2008, 12, 15);
            item1.clean = "Yes";
            data.add(item1);

            GridDataItem item2 = new GridDataItem();
            item2.room = "Dining Room";
            item2.setDateValue("first", 2007, 12, 28);
            item2.setDateValue("second", 2008, 2, 21);
            item2.clean = "No";
            data.add(item2);

            GridDataItem item3 = new GridDataItem();
            item3.room = "Kitchen";
            item3.setDateValue("first", 2007, 12, 28);
            item3.setDateValue("second", 2008, 2, 21);
            item3.setDateValue("third", 2008, 12, 15);
            item3.setDateValue("fourth", 2008, 12, 15);
            item3.setDateValue("fifth", 2008, 12, 15);
            item3.clean = "No";
            data.add(item3);

            GridDataItem item4 = new GridDataItem();
            item4.room = "BR 1";
            item4.setDateValue("first", 2007, 12, 28);
            item4.setDateValue("second", 2008, 2, 21);
            item4.setDateValue("third", 2008, 12, 15);
            item4.clean = "Yes";
            data.add(item4);

            GridDataItem item5 = new GridDataItem();
            item5.room = "BR 2";
            item5.setDateValue("first", 2007, 12, 28);
            item5.setDateValue("second", 2008, 2, 21);
            item5.setDateValue("third", 2008, 12, 15);
            item5.setDateValue("fourth", 2008, 12, 15);
            item5.clean = "Yes";
            data.add(item5);

            IGTextColumn column1 = new IGTextColumn("room");
            IGTextColumn column2 = new IGTextColumn("first");
            IGTextColumn column3 = new IGTextColumn("second");
            IGTextColumn column4 = new IGTextColumn("third");
            IGTextColumn column5 = new IGTextColumn("fourth");
            IGTextColumn column6 = new IGTextColumn("fifth");
            YesNoColumn column7 = new YesNoColumn("clean");
            personAdapter.addColumnDefinition(column1);
            personAdapter.addColumnDefinition(column2);
            personAdapter.addColumnDefinition(column3);
            personAdapter.addColumnDefinition(column4);
            personAdapter.addColumnDefinition(column5);
            personAdapter.addColumnDefinition(column6);
            personAdapter.addColumnDefinition(column7);
            personAdapter.setDataSource(data);

            grid.getContentSize();

            grid.setAdapter(personAdapter);
            layout.addView(grid);

            return rootView;
        }
    }
}
